Preview a custom notification blast
POST
/api/notifications/blasts/preview
const url = 'https://api.getvespy.com/api/notifications/blasts/preview';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"autoTranslate":true,"body":"example","channels":["in_app"],"target":{"propertyIds":["2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"],"tenantIds":["2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"],"unitIds":["2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"]},"title":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.getvespy.com/api/notifications/blasts/preview \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "autoTranslate": true, "body": "example", "channels": [ "in_app" ], "target": { "propertyIds": [ "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" ], "tenantIds": [ "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" ], "unitIds": [ "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" ] }, "title": "example" }'Authorizations
Section titled “Authorizations”Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
autoTranslate
boolean
body
required
string
channels
required
Array<string>
target
required
title
required
string
Responses
Section titled “Responses”Default Response
Media typeapplication/json
object
blast
required
object
autoTranslate
required
boolean
body
required
string
channels
required
Array<string>
createdAt
required
string format: date-time
id
required
string format: uuid
languageCounts
required
object
key
additional properties
integer
recipientCount
required
integer
skippedUnlinkedTenantCount
required
integer
status
required
string
title
required
string
versions
required
Array<object>
object
aiTranslated
required
boolean
body
required
string
language
required
string
title
required
string
Example
{ "blast": { "channels": [ "in_app" ], "status": "draft" }}Default Response
Media typeapplication/json
object
code
string
errors
Array<object>
object
code
required
string
message
required
string
path
required
string
message
required
string
Examplegenerated
{ "code": "example", "errors": [ { "code": "example", "message": "example", "path": "example" } ], "message": "example"}Default Response
Media typeapplication/json
object
code
string
errors
Array<object>
object
code
required
string
message
required
string
path
required
string
message
required
string
Examplegenerated
{ "code": "example", "errors": [ { "code": "example", "message": "example", "path": "example" } ], "message": "example"}Default Response
Media typeapplication/json
object
code
string
errors
Array<object>
object
code
required
string
message
required
string
path
required
string
message
required
string
Examplegenerated
{ "code": "example", "errors": [ { "code": "example", "message": "example", "path": "example" } ], "message": "example"}